Skip to main content
POST
/
orgs
/
{org_id}
/
emergencies
/
{emergency_id}
/
resolutions
Resolve an emergency
curl --request POST \
  --url https://api.punchrescue.com/api/public/v1/orgs/{org_id}/emergencies/{emergency_id}/resolutions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolutionNote": "<string>",
  "resolvedAt": "<string>",
  "resolvedBy": {
    "id": "<string>",
    "name": "<string>"
  },
  "metadata": {}
}
'
{
  "emergencyId": "<string>",
  "status": "<string>",
  "resolvedAt": "<string>",
  "resolvedBy": {
    "type": "<string>",
    "id": "<string>",
    "name": "<string>"
  },
  "resolutionNote": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Target organization id (from the route path)

emergency_id
string
required

Emergency id

Body

application/json
resolutionNote
string | null
Maximum string length: 2000
resolvedAt
string | null
resolvedBy
ResolveEmergencyResolvedBy · object
metadata
Metadata · object

Response

Successful Response

emergencyId
string
required
status
string
required
resolvedAt
string
required
resolvedBy
PublicActorRef · object
required

Unified actor shape (declaredBy / resolvedBy) for both user and api_key attribution.

resolutionNote
string | null
metadata
Metadata · object